<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hids__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hids_descr_value_t</compoundname>
    <includes local="no">cy_ble_hids.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hids__descr__value__t_1aa62aacf1c2ad721c33e6b7a06587f04a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_hids_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="272" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="272" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hids__descr__value__t_1a3ae1a6ad3666e696744b1909c1eb5ab6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hids_descr_value_t::serviceIndex</definition>
        <argsstring />
        <name>serviceIndex</name>
        <briefdescription>
<para>Index of HID Service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="273" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="273" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hids__descr__value__t_1a7b5b821d3dccbaf5eacb76e1f96c77b9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___h_i_d_s__definitions_1ga99c20fffea627123d0bc3c970c2a5a51">cy_en_ble_hids_char_index_t</ref></type>
        <definition>cy_en_ble_hids_char_index_t cy_stc_ble_hids_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of HID Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="274" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="274" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hids__descr__value__t_1a281b3073cb1fb31d75eab0e6842509e4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___h_i_d_s__definitions_1gadf49d36653a7244f38148f05735ba244">cy_en_ble_hids_descr_t</ref></type>
        <definition>cy_en_ble_hids_descr_t cy_stc_ble_hids_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Service Characteristic descriptor index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="275" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="275" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hids__descr__value__t_1aaa90c36ff29ce2bc77e062e552cf8c5c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_hids_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Pointer to value of Service Characteristic descriptor value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="276" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="276" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HID Service Characteristic descriptor value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="795">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="794">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="793">
        <label>cy_stc_ble_hids_descr_value_t</label>
        <link refid="structcy__stc__ble__hids__descr__value__t" />
        <childnode refid="794" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="795" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="277" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="270" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="271" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hids__descr__value__t_1a7b5b821d3dccbaf5eacb76e1f96c77b9" virt="non-virtual"><scope>cy_stc_ble_hids_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__hids__descr__value__t_1aa62aacf1c2ad721c33e6b7a06587f04a" virt="non-virtual"><scope>cy_stc_ble_hids_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hids__descr__value__t_1a281b3073cb1fb31d75eab0e6842509e4" virt="non-virtual"><scope>cy_stc_ble_hids_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__hids__descr__value__t_1a3ae1a6ad3666e696744b1909c1eb5ab6" virt="non-virtual"><scope>cy_stc_ble_hids_descr_value_t</scope><name>serviceIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__hids__descr__value__t_1aaa90c36ff29ce2bc77e062e552cf8c5c" virt="non-virtual"><scope>cy_stc_ble_hids_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>